$INCLUDE: 'C:\FG\FASTGRAF.FI'

      PROGRAM MAIN

      INTEGER*1 HELLO(20), IMAGE(20)
      INTEGER OLD_MODE
      INTEGER FG_GETMODE

      DATA HELLO /
     +   't',1, 'h',2, 'e',3, 'r',4, 'e',5,
     +   'h',1, 'e',2, 'l',3, 'l',4, 'o',5/

      DATA IMAGE /
     +   'T',0, 0,1, 0,1, 0,1, 0,1,
     +   'H',0, 0,1, 0,1, 0,1, 0,1/

      CALL FG_INITPM
      OLD_MODE = FG_GETMODE()
      CALL FG_SETMODE(3)
      CALL FG_CURSOR(0)

      CALL FG_LOCATE(12,37)
      CALL FG_DRWIMAGE(HELLO,10,2)
      CALL FG_WAITKEY

      CALL FG_DRWIMAGE(IMAGE,10,2)
      CALL FG_WAITKEY

      CALL FG_SETMODE(OLD_MODE)
      CALL FG_RESET

      STOP ' '
      END
